package tableViewExamples;


import java.util.Arrays;

import javafx.application.Application;
import javafx.beans.property.SimpleStringProperty;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.scene.Scene;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TableView;
import javafx.scene.control.cell.TextFieldTableCell;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

/**
 * Esimerkki 2-ulotteisen merkkijonotaulukon nyttmisest 
 * JavaFX:n TableViewss
 * Muokkaukset eivt tss esimerkiss muuta itse taulukkoa
 * @author vesal
 * @version 24.12.2015
 *
 */
public class StringMatrixExample extends Application {

    /**
     * Kynistetn malliohjelma
     * @param args ei kytss
     */
    public static void main(String[] args) {
        launch(args);
    }
	 
	
    @Override
    public void start(Stage primaryStage) {
        StackPane root = new StackPane();
        String[] otsikot = {"ala", "aloitusvuosi", "h/vko"};
        String[][] tiedot = {
                             {"kalastus", "1955", "20"},
                             {"laiskottelu", "1950", "20"},
                             {"tyn pakoilu", "1952", "40"}
                            };
        
        ObservableList<String[]> data = FXCollections.observableArrayList();
        data.addAll(Arrays.asList(tiedot));
        TableView<String[]> tableTiedot = new TableView<>();

        tableTiedot.setEditable(true);
 
        for (int i = 0; i < otsikot.length; i++) {
            TableColumn<String[], String> tc = new TableColumn<String[], String>(otsikot[i]);
            final int sarakeNro = i;
            
            tc.setCellValueFactory((rivi) -> new SimpleStringProperty(rivi.getValue()[sarakeNro]));
            
            tc.setPrefWidth(90);
            tableTiedot.getColumns().add(tc);
            tc.setCellFactory(TextFieldTableCell.forTableColumn());
 
            tc.setOnEditCommit( (t) -> { 
                        	String[] rivi = t.getTableView().getItems().get(t.getTablePosition().getRow());
                            rivi[sarakeNro] = t.getNewValue();
                    }
                );
        }
        tableTiedot.setItems(data);
        root.getChildren().add(tableTiedot);
        primaryStage.setScene(new Scene(root, 300, 250));
        primaryStage.show();
    }
}