package tableViewFXML;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.application.Application;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Scene;
import javafx.scene.control.TableView;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;
import tableViewExamples.StringMatrixExampleSub;

/**
 * Esimerkki 2-ulotteisen merkkijonotaulukon nyttmisest 
 * JavaFX:n TableViewss aliohjelman avulla.
 * Tiedostomrn vhentmiseksi normaalit pohjelman jutut
 * on kirjoitettu thn samaan luokkaan.
 * Muokkaukset eivt tss esimerkiss muuta itse taulukkoa.
 * @author vesal
 * @version 24.12.2015
 *
 */
public class StringMatrixViewController extends Application implements Initializable {
    String[] otsikot = {"ala", "aloitusvuosi", "h/vko"};
    String[][] tiedot = {
                         {"kalastus", "1955", "20"},
                         {"laiskottelu", "1950", "20"},
                         {"tyn pakoilu", "1952", "40"}
                        };
    @FXML private TableView<String[]> tableTiedot;

	@Override
	public void initialize(URL url, ResourceBundle bundle) {
		StringMatrixExampleSub.NaytaTalukossa(tableTiedot, otsikot, tiedot);
		
	}

	
	// Normaalit pohjelmien jutut:
	
	@Override
	public void start(Stage primaryStage) {
		try {
			Pane root = (Pane)FXMLLoader.load(getClass().getResource("StringMatrixView.fxml"));
			Scene scene = new Scene(root,400,400);
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	
	/**
	 * Kynistetn esimerkkiohjelma
	 * @param args ei kytss
	 */
	public static void main(String[] args) {
		launch(args);
	}
}	

	
	

